# OpalH224MediaFormat Class Reference

`#include <h224.h>`

Inheritance diagram for OpalH224MediaFormat:

[legend]
Collaboration diagram for OpalH224MediaFormat:
[legend]

## Public Member Functions

| OpalH224MediaFormat (const char *fullName, RTP_DataFrame::PayloadTypes rtpPayloadType)
virtual PObject * | Clone () const
virtual PBoolean | IsValidForProtocol (const PString &protocol) const

## Constructor & Destructor Documentation

OpalH224MediaFormat::OpalH224MediaFormat | ( | const char * | fullName,
|  | RTP_DataFrame::PayloadTypes | rtpPayloadType |
| ) |  |  |

Parameters:

  fullName | Full name of media format
  rtpPayloadType | RTP payload type code

## Member Function Documentation

virtual PObject* OpalH224MediaFormat::Clone | ( |  | ) | const`[virtual]`

Create a copy of the media format.

Reimplemented from OpalMediaFormat.

virtual PBoolean OpalH224MediaFormat::IsValidForProtocol | ( | const PString & | protocol | ) | const`[virtual]`

Returns true if the media format is valid for the protocol specified This allow plugin codecs to customise which protocols they are valid for The default implementation returns true unless the protocol is H.323 and the rtpEncodingName is NULL

Reimplemented from OpalMediaFormat.

The documentation for this class was generated from the following file:

- h224.h